Ana içeriğe geç

GET /generic/city — Şehir Listesi

📋 Genel Bilgi

Türkiye'deki tüm şehirleri listeler (81 il). Her şehir için koordinat bilgileri de döner.

Base URL: {{url}}/generic/city
Method: GET
Content-Type: application/json


🔐 Headers

HeaderValue
AuthorizationBearer {{masked_jwt_9}}

✅ Response — 200 OK

{
"RecordCount": 81,
"Result": [
{
"cityId": 1,
"name": "ADANA",
"lat": 37,
"lon": 35.321333,
"northeast_lat": 37.072004,
"northeast_lon": 35.461995,
"southwest_lat": 36.935523,
"southwest_lon": 35.174706
},
{
"cityId": 2,
"name": "ADIYAMAN",
"lat": 37.764167,
"lon": 38.276167,
"northeast_lat": 37.825667,
"northeast_lon": 38.335465,
"southwest_lat": 37.717086,
"southwest_lon": 38.188188
},
{
"cityId": 3,
"name": "AFYONKARAHİSAR",
"lat": 38.76376,
"lon": 30.54034,
"northeast_lat": 38.802105,
"northeast_lon": 30.611167,
"southwest_lat": 38.714289,
"southwest_lon": 30.44232
},
{
"cityId": 4,
"name": "AĞRI",
"lat": 39.721667,
"lon": 43.056667,
"northeast_lat": 39.748605,
"northeast_lon": 43.085241,
"southwest_lat": 39.688144,
"southwest_lon": 43.001778
},
{
"cityId": 68,
"name": "AKSARAY",
"lat": 38.36869,
"lon": 34.03698,
"northeast_lat": 38.446724,
"northeast_lon": 34.088698,
"southwest_lat": 38.297012,
"southwest_lon": 33.932515
},
{
"cityId": 5,
"name": "AMASYA",
"lat": 40.65,
"lon": 35.833333,
"northeast_lat": 40.672834,
"northeast_lon": 35.856321,
"southwest_lat": 40.636911,
"southwest_lon": 35.789091
}
]
}

Response Alanları

AlanTipAçıklama
RecordCountintegerToplam şehir sayısı (81)
Result[]arrayŞehir listesi
Result[].cityIdintegerİl ID'si (1-81)
Result[].namestringİl adı (TÜRKÇE, büyük harf)
Result[].latfloatMerkez koordinat — latitude
Result[].lonfloatMerkez koordinat — longitude
Result[].northeast_latfloatKuzeydoğu köşe latitude
Result[].northeast_lonfloatKuzeydoğu köşe longitude
Result[].southwest_latfloatGüneybatı köşe latitude
Result[].southwest_lonfloatGüneybatı köşe longitude

📝 Notlar

  • Toplam 81 il döner.
  • Koordinat bilgileri ilin sınırlarını belirlemek için kullanılır (geofencing).
  • northeast_lat/lon ve southwest_lat/lon ile bounding box oluşturulabilir.